#
# spec file for package perl-Text-Template
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Text-Template
Version:        1.52
Release:        lp151.2.1
%define cpan_name Text-Template
Summary:        Expand template text with embedded Perl
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Text-Template/
Source0:        https://cpan.metacpan.org/authors/id/M/MS/MSCHOUT/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::Warnings)
%{perl_requires}

%description
This is a library for generating form letters, building HTML pages, or
filling in templates generally. A `template' is a piece of text that has
little Perl programs embedded in it here and there. When you `fill in' a
template, you evaluate the little programs and replace them with their
values.

You can store a template in a file outside your program. People can modify
the template without modifying the program. You can separate the formatting
details from the main code, and put the formatting parts of the program
into the template. That prevents code bloat and encourages functional
separation.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README
%license LICENSE

%changelog
* Tue Mar 20 2018 coolo@suse.com
- updated to 1.52
  see /usr/share/doc/packages/perl-Text-Template/Changes
  1.52  2018-03-19
  - Fix possible 'Subroutine ... redefined' warning (Github #10)
* Mon Mar  5 2018 coolo@suse.com
- updated to 1.51
  see /usr/share/doc/packages/perl-Text-Template/Changes
  1.51  2018-03-04
  - Add test for nested tags breakage that happened in v1.46
  - Turn off strict+warnings in sections where template code is eval'ed
    [github #9]
* Mon Feb 12 2018 coolo@suse.com
- updated to 1.50
  see /usr/share/doc/packages/perl-Text-Template/Changes
  1.50  2018-02-10
  * ** Revert support for identical start/end delimiters (e.g.: @@foo@@, XXfooXX)
    due to breakage with nested tags (see
    https://github.com/mschout/perl-text-template/issues/8).  Will revisit
    this in a future release.
  1.49  2018-02-07
  - Fix failing tests in v1.48 under perl < 5.8.9
  1.48  2018-02-07
  - remove COPYING and Artistic files from the dist.  These are replaced by
    the Dist::Zilla generated LICENSE file.
  - use strict/warnings (thanks Mohammad S Anwar)
  - remove $VERSION checks from tests. This makes it easier to run the test
    with Dist::Zilla and avoids maintenance issue of updating the tests for
    each release (Thanks Andrew Ruder).
  - Allow precompiled templates to work with preprocessing [#29928] (Thanks
    Nik LaBelle)
  - Add "strict" option to fill_in().  This adds "use strict" and "use vars
    (...)" to the prepend section, and only the keys of the HASH option are
    allowed in the template.  (Thanks Desmond Daignault, Kivanc Yazan, CJM)
    [55696]
  - Fix templates with inline comments without newline after comment for perl
    < 5.18 [34292]
  - Don't use bareword file handles
  - use three arg form of open()
  - Fix BROKEN behaviour so that it returns the text accumulated so far on
    undef as documented [28974]
  - Source code cleanups
  - Minimum perl version is now 5.8.0
  - Allow start/end delimiters to be identical (e.g.: @@foo@@, XXfooXX)
    (Thanks mirod) [46639]
  - Fix + document the FILENAME parameter to fill_in() (Thanks VDB) [106093]
  - Test suite cleanups:
    + turn on strict/warnings for all tests
    + run tests through perltidy and formatting cleanup
    + remove number prefixes from test names
    + use Test::More instead of generating TAP by hand
    + use three-arg form of open()
    + don't use indirect object syntax
    + don't use bareword file handles
    + use File::Temp to generate temporary files
* Tue Feb 28 2017 coolo@suse.com
- updated to 1.47
  see /usr/share/doc/packages/perl-Text-Template/Changes
* Wed Jun  5 2013 cfarrell@suse.com
- license update: GPL-2.0+ or ClArtistic
  The license choice is for GPL-2.0+ or the Clarified Artistic License
  (ClArtistic on spdx.org/licenses/ClArtistic)
* Tue Jun  4 2013 coolo@suse.com
- updated to 1.46
    Thanks to Rik Signes, there is a new
    Text::Template->append_text_to_output method, which
    Text::Template always uses whenever it wants to emit output.
    You can subclass this to get control over the output, for
    example for postprocessing.
    A spurious warning is no longer emitted when the TYPE
    parameter to ->new is omitted.
* Wed Dec 14 2011 coolo@suse.com
- fix license to be in spdx.org format
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Wed Apr 21 2010 chris@computersalat.de
- update to 1.45
  - no ChangeLog :(
- cleanup spec
  - recreated with cpanspec
* Sat Mar  3 2007 aj@suse.de
- New package.
